﻿//-----------------------------------------------------------------------
// <copyright file="ITransactionManager.cs" company="Streetlight Technologies L.L.C.">
//    Copyright Streetlight Technologies L.L.C. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Streetlight.Store.Contracts
{
    using System;

    /// <summary>
    /// Provides an interface to access all data transactions.
    /// </summary>
    public interface ITransactionManager : IDisposable
    {
        /// <summary>
        /// Gets an instance of IProductManager to be used for handling Product transactions.
        /// </summary>
        IProductManager Products { get; }
    }
}
