﻿using Streetlight.Store.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Streetlight.Store.MvcApplication.Controllers
{
    public class AdminController : Controller
    {
        public ITransactionManager TransactionManager { get; private set; }
        
        public AdminController()
        {
            TransactionManager = new Streetlight.Store.DataAccess.DataManager();
        }

        //
        // GET: /Admin/

        public ActionResult Index()
        {
            return View();
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && TransactionManager != null)
            {
                TransactionManager.Dispose();
            }

            base.Dispose(disposing);
        }
    }
}
