﻿//-----------------------------------------------------------------------
// <copyright file="ProductCategory.cs" company="Streetlight Technologies L.L.C.">
//    Copyright Streetlight Technologies L.L.C. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Streetlight.Store.Contracts
{
    using System;

    /// <summary>
    /// Provides a container for product category information.
    /// </summary>
    public class ProductCategory
    {
        /// <summary>
        /// Gets or sets the category ID.
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// Gets or sets the category name.
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the category description.
        /// </summary>
        public string Description { get; set; }
    }
}
